# Class AsyncMultiRead

java.lang.Object
org.mariadb.jdbc.internal.protocol.AsyncMultiRead

All Implemented Interfaces:
  `Callable<AsyncMultiReadResult>`

public class AsyncMultiRead extends Object implements Callable<AsyncMultiReadResult>

## Constructor Summary

Constructors
Constructor
Description
`AsyncMultiRead(BulkStatus status, Protocol protocol, AbstractMultiSend bulkSend, int paramCount, Results results, List<ParameterHolder[]> parametersList, List<String> queries, PrepareResult prepareResult)`
Read results async to avoid local and remote networking stack buffer overflow "lock".

## Method Summary

Modifier and Type
Method
Description
`AsyncMultiReadResult`
`call()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncMultiRead

public AsyncMultiRead(BulkStatus status, Protocol protocol, AbstractMultiSend bulkSend, int paramCount, Results results, List<ParameterHolder[]> parametersList, List<String> queries, PrepareResult prepareResult)
Read results async to avoid local and remote networking stack buffer overflow "lock".

Parameters:
  `status` - bulk status
  `protocol` - protocol
  `bulkSend` - bulk sender object
  `paramCount` - number of parameters
  `results` - execution result
  `parametersList` - parameter list
  `queries` - queries
  `prepareResult` - prepare result

## Method Details

### call

public AsyncMultiReadResult call() throws Exception

Specified by:
  `call` in interface `Callable<AsyncMultiReadResult>`
Throws:
  `Exception`